AuthProbe (MetaCoretex API)
Keywords: com.securitycentric.metacoretex.interfaces.AuthProbe interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.securitycentric.metacoretex.interfaces
Interface AuthProbe

All Superinterfaces:
  Probe, java.lang.Runnable

All Known Implementing Classes:
  AbstractAuthProbe

public interface AuthProbe
extends Probe

Author:
  visigoth

Method Summary
`boolean` | `isBrute()`
`void` | `setBrute(boolean brute)`
`boolean` | `shouldRun()` this is used as a runtime initializer on a per-probe basis.
`int` | `test(java.lang.String passwd)` The implementer of test is responsible for making sure that the resulting user/password success ends up in the report

Methods inherited from interface com.securitycentric.metacoretex.interfaces.Probe
`addDepends, addOption, addProvides, addReport, depends, dumpOptions, getCopyright, getException, getFamily, getHelp, getHost, getName, getOption, getOptionKeys, getProbeId, getReport, getSeverity, getTarget, getTimeout, getVersion, hasSafe, isEnabled, isReportable, kbGet, kbHas, kbPut, probe, probeSafe, provides, replaceOptions, setCopyright, setEnabled, setFamily, setHelp, setName, setProbeId, setReport, setReportable, setSeverity, setTarget, setTimeout, setVersion`

Methods inherited from interface java.lang.Runnable
`run`

Method Detail

### isBrute

    public boolean isBrute()

### setBrute

    public void setBrute(boolean brute)

### test

    public int test(java.lang.String passwd)
             throws ProbeException

  The implementer of test is responsible for making sure that the resulting user/password success ends up in the report

  Throws:
    `ProbeException`

### shouldRun

    public boolean shouldRun()
                      throws ProbeException

  this is used as a runtime initializer on a per-probe basis. Over-ride this method to give your probe a chance to initialize and check for necissary KB objects prior to the test() loop implemented by the probe() method in the AbstractAuthProbe.

  Throws:
    `ProbeException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD